Download it now!
Bug 62429 - Format Paintbrush does not work with calculation result as format source
Summary: Format Paintbrush does not work with calculation result as format source
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-17 03:06 UTC by tokyopaul
Modified: 2015-03-22 12:30 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tokyopaul 2013-03-17 03:06:39 UTC
To replicate this bug, enter some numbers in cells A1, A2 and A3. Format them as currency. Then select cell A4 and enter the sum formula such as =SUM(A1:A3).
The A4 cell will automatically be assigned the same format of what is being summed. Very good so far.

In cell A5, enter any number without any format. At this point the first four cells will be formatted as currency and only the A5 cell will not have any special format applied. 

Then select A4, click the format paintbrush and try to apply it to A5. It will not format the cell as currency. Try it again with any of the first three cells and apply it to A5 and it will work.

I have tried this with other formulas without it failing. I have opened new spreadsheets and replicated the issue. I have not tried extensively with other formats and formula combinations. Actually I tried it just with currency and =COUNT and it did not fail.
Comment 1 Rainer Bielefeld Retired 2013-03-17 06:31:14 UTC
Cell A4 is not formatted as currency, it only shows some contents looking as a currency. So the reported behavior seems intended, Format Paintbrush transfers a default formatting.

Nothing new in Version 4.0.1.2. I already see that in Server Installation of "LibreOffice 3.3.3  English UI/ German Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit) and OOo 3.1.1

Not a special SUM effect, generally calculation results often inherit formatting from source cells (if applicable), and some tests seem to show, that generally that inherited "formatting view" will not be transferred by Format Paintbrush.

I can't see any bug here.

@tokyopaul:
Why do you think that that is a bug? Please cite Help, manuals or general technical rules.
Comment 2 bfoman (inactive) 2013-05-21 08:00:09 UTC
Confirmed with:
LO 4.0.2.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

A4 is not formatted as currency - it is in Number Standard. It just displays the value as currency. IMHO this is a bug. I don't see a reason why user should change this to real currency format by hand. Users migrating from Excel 2010 would be surprised by this behavior as Excel 2010 is changing number format to currency automatically.

I will mark it as NEW.
Comment 3 QA Administrators 2015-03-04 02:19:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1.2 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-03-03
Comment 4 Buovjaga 2015-03-22 12:30:16 UTC
(In reply to tokyopaul from comment #0)
> Then select A4, click the format paintbrush and try to apply it to A5. It
> will not format the cell as currency. Try it again with any of the first
> three cells and apply it to A5 and it will work.

Well, fortunately it works now -> WFM.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI